/* SPDX-License-Identifier: GPL-2.0-or-later */
/*
 * Copyright (C) 2018 Verisilicon Inc.
 */

#ifndef _SN_DEC_IP_H_
#define _SN_DEC_IP_H_

#include <linux/types.h>
#include <linux/ioctl.h>

#include "common.h"

int host_dec_init(struct sn_tranx_t *tdev);
int host_dec_release(struct sn_tranx_t *tdev);
long host_dec_ioctl(struct file *filp, unsigned int cmd, unsigned long arg,
		    struct sn_tranx_t *tdev);
#endif /* _SN_DEC_IP_H_ */
